FLANG

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
Fortran::parser::ParseTreeDumper Class Reference

## Public Member Functions
| ParseTreeDumper (llvm::raw_ostream &out, const AnalyzedObjectsAsFortran *asFortran=nullptr)
template<typename T >
bool | Pre (const T &x)
template<typename T >
void | Post (const T &x)
bool | Pre (const CharBlock &)
void | Post (const CharBlock &)
template<typename T >
bool | Pre (const Statement< T > &)
template<typename T >
void | Post (const Statement< T > &)
template<typename T >
bool | Pre (const UnlabeledStatement< T > &)
template<typename T >
void | Post (const UnlabeledStatement< T > &)
template<typename T >
bool | Pre (const common::Indirection< T > &)
template<typename T >
void | Post (const common::Indirection< T > &)
template<typename A >
bool | Pre (const Scalar< A > &)
template<typename A >
void | Post (const Scalar< A > &)
template<typename A >
bool | Pre (const Constant< A > &)
template<typename A >
void | Post (const Constant< A > &)
template<typename A >
bool | Pre (const Integer< A > &)
template<typename A >
void | Post (const Integer< A > &)
template<typename A >
bool | Pre (const Logical< A > &)
template<typename A >
void | Post (const Logical< A > &)
template<typename A >
bool | Pre (const DefaultChar< A > &)
template<typename A >
void | Post (const DefaultChar< A > &)
template<typename... A>
bool | Pre (const std::tuple< A... > &)
template<typename... A>
void | Post (const std::tuple< A... > &)
template<typename... A>
bool | Pre (const std::variant< A... > &)
template<typename... A>
void | Post (const std::variant< A... > &)

## Static Public Member Functions
static constexpr const char * | GetNodeName (const char *)
static std::string | GetNodeName (const llvm::acc::Directive &x)
static std::string | GetNodeName (const llvm::omp::Directive &x)

## Protected Member Functions
template<typename T >
std::string | AsFortran (const T &x)
void | IndentEmptyLine ()
void | Prefix (const char *str)
void | Prefix (const std::string &str)
void | EndLine ()
void | EndLineIfNonempty ()

The documentation for this class was generated from the following file:

- include/flang/Parser/dump-parse-tree.h